Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2148949 - F38FailsToInstall: python3-kajiki
Summary: F38FailsToInstall: python3-kajiki
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-kajiki
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2148595
Blocks: F38FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-11-28 12:11 UTC by Miro Hrončok
Modified: 2022-12-18 01:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-09 09:44:09 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2022-11-28 12:11:38 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-kajiki) Fails To Install in Fedora 38:

can't install python3-kajiki:
  - nothing provides python3.11dist(linetable) needed by python3-kajiki-0.9.2-1.fc38.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-38-x86_64 --config-opts mirrored=False install python3-kajiki


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Jan ONDREJ 2022-11-28 12:24:45 UTC
Thank you for report. Current version of kajiki is not compatible with python 3.11. New version requires linetable package. My linetable review request is waiting here:

https://bugzilla.redhat.com/show_bug.cgi?id=2148595

Please, review. Thank you.

Comment 2 Miro Hrončok 2022-12-05 17:34:33 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Jan ONDREJ 2022-12-06 06:55:43 UTC
I can't fix it myself, unable to make a review to my own request. :-(

Comment 4 Kevin Fenzi 2022-12-09 03:03:55 UTC
Looks like it already got reviewed. Many thanks.

Comment 5 Jan ONDREJ 2022-12-09 09:44:09 UTC
TurboGears2's builds are back to normal in Fedora Rawhide        https://apps.fedoraproject.org/koschei/package/TurboGears2?collection=f38

Comment 6 Fedora Update System 2022-12-09 09:45:11 UTC
FEDORA-2022-dd481d2251 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-dd481d2251

Comment 7 Fedora Update System 2022-12-10 02:48:31 UTC
FEDORA-2022-dd481d2251 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-dd481d2251 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-dd481d2251

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-12-18 01:40:11 UTC
FEDORA-2022-dd481d2251 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.